From 5a5ef5909f5da5b2070d58ffaee924bb8e6a51e1 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?J=C3=B6rg=20Krause?= <joerg.krause@embedded.rocks>
Date: Sun, 18 Oct 2015 15:54:54 +0200
Subject: [PATCH] Kbuild: Fix link error for CONFIG_UBOUT and missing libz
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

CONFIG_UBOOT needs libz [1]. So CONFIG_UBOUT mustn't be available when
HAVE_ZLIB=n.

[1] https://github.com/sbabic/swupdate/commit/cf495e23ad117f4cae9c429e80714fe9c18f2d6a

Reported-by: Romain Naour <romain.naour@openwide.fr>
Signed-off-by: Jörg Krause <joerg.krause@embedded.rocks>
---
 handlers/Config.in | 1 +
 1 file changed, 1 insertion(+)

diff --git a/handlers/Config.in b/handlers/Config.in
index fb32c44..f5187a5 100644
--- a/handlers/Config.in
+++ b/handlers/Config.in
@@ -81,6 +81,7 @@ config HANDLER_IN_LUA
 
 config UBOOT
 	bool "uboot"
+	depends on HAVE_ZLIB
 	default n
 	help
 	  Enable it to change U-Boot environment
